org.eclipse.emf.cdo.spi.common.revision

## Interface InternalCDORevisionManager.RevisionLoader2

- All Superinterfaces:
    InternalCDORevisionManager.RevisionLoader
  All Known Subinterfaces:
    CDOSessionProtocol, InternalFailoverParticipant, InternalRepository, InternalSynchronizableRepository
  Enclosing interface:
    InternalCDORevisionManager

      public static interface InternalCDORevisionManager.RevisionLoader2
      extends InternalCDORevisionManager.RevisionLoader

  If the meaning of this type isn't clear, there really should be more of a description here...
  Since:
    4.4
  Author:
    Eike Stepper
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `CDOBranchPointRange` | `loadObjectLifetime(CDOID id, CDOBranchPoint branchPoint)`

    - ### Methods inherited from interface org.eclipse.emf.cdo.spi.common.revision.InternalCDORevisionManager.RevisionLoader

      `handleRevisions, loadRevisionByVersion, loadRevisions`

- - ### Method Detail

    - #### loadObjectLifetime

          CDOBranchPointRange loadObjectLifetime(CDOID id,
                                                 CDOBranchPoint branchPoint)

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html